const User = require('../models/user');

module.exports = (req, res, next) => {
  if (req.session.user) {
    User.findById(req.session.user._id, (err, user) => {
      err ? error(req, res, 'Error fetching user', err) : null;
      req.session.user = user;
      next();
    });
  } else {
    next();
  }
};
