const warn = (req, res, title, content) => {
  req.session.user.notifications.push({ title, content, color: "warning" });
  req.session.user.save();
};

const error = (req, res, title, content) => {
  req.session.user.notifications.push({ title, content, color: "error" });
  req.session.user.save();
  return res.redirect('/'); // TODO redirect to error route or previous
};

module.exports = { warn, error };