# RoleGame

## Dependencies

### Used
* `express`: Fast, unopinionated, minimalist web framework
* `bcrypt`: A bcrypt library for NodeJS.
* `express-session`: Simple session middleware for Express
* `pug`: A clean, whitespace-sensitive template language for writing HTML
* `mongoose`: Mongoose MongoDB ODM
* `body-parser`: Node.js body parsing middleware
* `morgan`: HTTP request logger middleware for node.js
* `connect-mongodb-session`: MongoDB session store for connect/express built by MongoDB
* `random`: Seedable random number generator supporting many common distributions.
* `js-yaml`: YAML 1.2 parser and serializer
* `node-cron`: A simple cron-like task scheduler for Node.js

### To use
* `joi`: Object schema description language and validator for JavaScript objects.

## Starting app
* Install MongoDB and run it
* Copy and fill `secret` from `config.template.yml` to `config.yml`
* Run `node index.js`

### TODO
* [ ] Validate mongoose models
