const mongoose = require('mongoose');
const Notification = require('./notification');

const User = new mongoose.Schema({
  firstName: { type: String, required: true },
  lastName: { type: String, required: true },
  username: { unique: true, type: String, lowercase: true },
  email: { type: String, required: true },
  passwordHash: { type: String },
  notifications: [Notification],
});

module.exports = mongoose.model('User', User);